## ros-jazzy-pilz-industrial-motion-planner 2.10.0

=== debian/changelog ===
ros-jazzy-pilz-industrial-motion-planner (2.10.0-2bookworm) bookworm; urgency=high

  * Apply clang-tidy fixes
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Add parameter api integration test (#2662 <https://github.com/moveit/moveit2/issues/2662>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Use generate parameters library in PlanningPipelineClass + general cleanups (#2288 <https://github.com/ros-planning/moveit2/issues/2288>)
    * Don't discard stuff
    * Move constants into source file
    * Move static consts into header
    * Don't ignore pipeline result
    * Use generate parameter library for planning pipeline parameters
    * Fix CI
    * More CI fixes
    * Remove more state from planning pipeline
    * Small cleanups
    * Assert planner_instance_ is not a nullptr
    * Remove valid variable
    * Simplify logic for trajectory printing
    * More helpful comments
    * Small logic simplification by using break
    * Fix clang-tidy
    * Pre-commit + Deprecate functions instead of removing them
    * Fix CI
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Fix for already declared deceleration parameters when using Pilz (#2388 <https://github.com/ros-planning/moveit2/issues/2388>)
    * Fix for already declare deceleration parameters when using Pilz
    * Updated formatting
    * Updated formatting
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Jens Vanhooydonck, Marq Rasmussen, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.8.0-2bookworm) bookworm; urgency=high

  * Fx class_loader warnings in PILZ unittests (#2296 <https://github.com/ros-planning/moveit2/issues/2296>)
  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Pilz multi-group incompatibility (#1856 <https://github.com/ros-planning/moveit2/issues/1856>)
  * Enhance PILZ service request checks (#2087 <https://github.com/ros-planning/moveit2/issues/2087>)
  * Contributors: Marco Magri, Sebastian Jahr, Yang Lin

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.7.4-2bookworm) bookworm; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.7.2-2bookworm) bookworm; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * PILZ: Throw if IK solver doesn't exist (#2082 <https://github.com/ros-planning/moveit2/issues/2082>)
    * Throw if IK solver doesn't exist
    * Format
  * Contributors: Sebastian Jahr, Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.7.1-2bookworm) bookworm; urgency=high

  * Remove "new" from smart pointer instantiation (#2019 <https://github.com/ros-planning/moveit2/issues/2019>)
  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke, Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-pilz-industrial-motion-planner (2.7.0-2bookworm) bookworm; urgency=high


