=== debian/control ===
Source: ros-jazzy-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev <!nocheck>, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-eigen3-cmake-module, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-launch-param-builder <!nocheck>, ros-jazzy-moveit-common, ros-jazzy-moveit-configs-utils <!nocheck>, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-moveit-resources-prbt-moveit-config <!nocheck>, ros-jazzy-moveit-resources-prbt-pg70-support <!nocheck>, ros-jazzy-moveit-resources-prbt-support <!nocheck>, ros-jazzy-moveit-ros-move-group, ros-jazzy-moveit-ros-planning, ros-jazzy-orocos-kdl-vendor, ros-jazzy-pilz-industrial-motion-planner-testutils <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-eigen-kdl, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-jazzy-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-eigen3-cmake-module, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-ros-move-group, ros-jazzy-moveit-ros-planning, ros-jazzy-orocos-kdl-vendor, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-eigen-kdl, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.
